AOZ Studio Beta - Bug #790

Collisions not working properly on skewed bobs
06/27/2021 02:30 PM - Paul Kitching

Status: Feedback Start date: 06/27/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B8)

Description

Move over the text for collision, then click and move over it for no collision unless you are at the non-skewed position:

#splashScreen:False
text 20,20,"testing collisions with this bob of text"
get image 1,18,0,270,30:get image 2,22,10,5,5
bob 1,200,200,1
flash off:curs off:cls:ink l:box 200,200,270, 30
locate 0,2:print "Click to skew. Collision detection only works on non skewed position."
do
bob 2,x mouse,y mouse,?2
if bob col(1l,2) then locate 0,0:print "Collision" else ink O:bar 0,0,300,50
if mouse key<>0 then bob skew 1,1,0.5
wait vbl
loop

Using Beta 8, update 14

History

#1 - 09/07/2021 06:51 AM - Francois Lionet

- Status changed from New to Feedback

It is not on the list of things to do for the moment... a lot of extra work for a feature that is very rarely used... sorry ;)
